# Poco::Redis

# class RedisStreamBuf

Library: Redis
Package: Redis
Header: Poco/Redis/RedisStream.h

## Description

BufferedStreamBuf for Redis.

## Inheritance

Direct Base Classes: BufferedStreamBuf

All Base Classes: Poco::BufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, readLine, writeToDevice

## Constructors

### RedisStreamBuf

RedisStreamBuf(
Net::StreamSocket & redis
);

Constructor

## Destructor

### ~RedisStreamBuf

~RedisStreamBuf();

Destructor

## Member Functions

### readLine

std::string readLine();

Reads a line from Redis (until \r\n is encountered).

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);